<?php
$tdatareg_pepc = array();
$tdatareg_pepc[".searchableFields"] = array();
$tdatareg_pepc[".ShortName"] = "reg_pepc";
$tdatareg_pepc[".OwnerID"] = "";
$tdatareg_pepc[".OriginalTable"] = "reg_pepc";


$tdatareg_pepc[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatareg_pepc[".originalPagesByType"] = $tdatareg_pepc[".pagesByType"];
$tdatareg_pepc[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatareg_pepc[".originalPages"] = $tdatareg_pepc[".pages"];
$tdatareg_pepc[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatareg_pepc[".originalDefaultPages"] = $tdatareg_pepc[".defaultPages"];

//	field labels
$fieldLabelsreg_pepc = array();
$fieldToolTipsreg_pepc = array();
$pageTitlesreg_pepc = array();
$placeHoldersreg_pepc = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsreg_pepc["Spanish"] = array();
	$fieldToolTipsreg_pepc["Spanish"] = array();
	$placeHoldersreg_pepc["Spanish"] = array();
	$pageTitlesreg_pepc["Spanish"] = array();
	$fieldLabelsreg_pepc["Spanish"]["oficio"] = "Oficio";
	$fieldToolTipsreg_pepc["Spanish"]["oficio"] = "Máximo 4 digitos numéricos";
	$placeHoldersreg_pepc["Spanish"]["oficio"] = "";
	$fieldLabelsreg_pepc["Spanish"]["fechaoficio"] = "Fecha del Oficio";
	$fieldToolTipsreg_pepc["Spanish"]["fechaoficio"] = "";
	$placeHoldersreg_pepc["Spanish"]["fechaoficio"] = "";
	$fieldLabelsreg_pepc["Spanish"]["empresa"] = "Empresa";
	$fieldToolTipsreg_pepc["Spanish"]["empresa"] = "";
	$placeHoldersreg_pepc["Spanish"]["empresa"] = "";
	$fieldLabelsreg_pepc["Spanish"]["registro"] = "Registro PE-";
	$fieldToolTipsreg_pepc["Spanish"]["registro"] = "";
	$placeHoldersreg_pepc["Spanish"]["registro"] = "";
	$fieldLabelsreg_pepc["Spanish"]["folio"] = "Folio";
	$fieldToolTipsreg_pepc["Spanish"]["folio"] = "";
	$placeHoldersreg_pepc["Spanish"]["folio"] = "";
	$fieldLabelsreg_pepc["Spanish"]["carpeta"] = "Carpeta";
	$fieldToolTipsreg_pepc["Spanish"]["carpeta"] = "";
	$placeHoldersreg_pepc["Spanish"]["carpeta"] = "";
	$fieldLabelsreg_pepc["Spanish"]["validoal"] = "Validéz";
	$fieldToolTipsreg_pepc["Spanish"]["validoal"] = "";
	$placeHoldersreg_pepc["Spanish"]["validoal"] = "";
	$fieldLabelsreg_pepc["Spanish"]["nombre"] = "Nombre";
	$fieldToolTipsreg_pepc["Spanish"]["nombre"] = "";
	$placeHoldersreg_pepc["Spanish"]["nombre"] = "";
	$fieldLabelsreg_pepc["Spanish"]["domicilio"] = "Domicilio";
	$fieldToolTipsreg_pepc["Spanish"]["domicilio"] = "Calle Número, Colonia";
	$placeHoldersreg_pepc["Spanish"]["domicilio"] = "";
	$fieldLabelsreg_pepc["Spanish"]["municipio"] = "Municipio";
	$fieldToolTipsreg_pepc["Spanish"]["municipio"] = "";
	$placeHoldersreg_pepc["Spanish"]["municipio"] = "";
	$fieldLabelsreg_pepc["Spanish"]["cp"] = "Cp";
	$fieldToolTipsreg_pepc["Spanish"]["cp"] = "";
	$placeHoldersreg_pepc["Spanish"]["cp"] = "";
	$fieldLabelsreg_pepc["Spanish"]["elaboro"] = "Elaboro";
	$fieldToolTipsreg_pepc["Spanish"]["elaboro"] = "";
	$placeHoldersreg_pepc["Spanish"]["elaboro"] = "";
	$pageTitlesreg_pepc["Spanish"]["view"] = "Oficio No. {%oficio}";
	$pageTitlesreg_pepc["Spanish"]["edit"] = "Editando Oficio No. {%oficio}";
	$pageTitlesreg_pepc["Spanish"]["add"] = "Registro de Nuevo Oficio";
	if (count($fieldToolTipsreg_pepc["Spanish"]))
		$tdatareg_pepc[".isUseToolTips"] = true;
}


	$tdatareg_pepc[".NCSearch"] = true;



$tdatareg_pepc[".shortTableName"] = "reg_pepc";
$tdatareg_pepc[".nSecOptions"] = 0;

$tdatareg_pepc[".mainTableOwnerID"] = "";
$tdatareg_pepc[".entityType"] = 0;
$tdatareg_pepc[".connId"] = "pepc_consulta_at_localhost";


$tdatareg_pepc[".strOriginalTableName"] = "reg_pepc";

	



$tdatareg_pepc[".showAddInPopup"] = false;

$tdatareg_pepc[".showEditInPopup"] = false;

$tdatareg_pepc[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatareg_pepc[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatareg_pepc[".listAjax"] = false;
//	temporary
$tdatareg_pepc[".listAjax"] = false;

	$tdatareg_pepc[".audit"] = false;

	$tdatareg_pepc[".locking"] = false;


$pages = $tdatareg_pepc[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatareg_pepc[".edit"] = true;
	$tdatareg_pepc[".afterEditAction"] = 0;
	$tdatareg_pepc[".closePopupAfterEdit"] = 1;
	$tdatareg_pepc[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdatareg_pepc[".add"] = true;
$tdatareg_pepc[".afterAddAction"] = 0;
$tdatareg_pepc[".closePopupAfterAdd"] = 1;
$tdatareg_pepc[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatareg_pepc[".list"] = true;
}



$tdatareg_pepc[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatareg_pepc[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatareg_pepc[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatareg_pepc[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatareg_pepc[".printFriendly"] = true;
}



$tdatareg_pepc[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatareg_pepc[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatareg_pepc[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatareg_pepc[".isUseAjaxSuggest"] = true;

$tdatareg_pepc[".rowHighlite"] = true;





$tdatareg_pepc[".ajaxCodeSnippetAdded"] = false;

$tdatareg_pepc[".buttonsAdded"] = false;

$tdatareg_pepc[".addPageEvents"] = false;

// use timepicker for search panel
$tdatareg_pepc[".isUseTimeForSearch"] = false;


$tdatareg_pepc[".badgeColor"] = "9ACD32";


$tdatareg_pepc[".allSearchFields"] = array();
$tdatareg_pepc[".filterFields"] = array();
$tdatareg_pepc[".requiredSearchFields"] = array();

$tdatareg_pepc[".googleLikeFields"] = array();
$tdatareg_pepc[".googleLikeFields"][] = "oficio";
$tdatareg_pepc[".googleLikeFields"][] = "fechaoficio";
$tdatareg_pepc[".googleLikeFields"][] = "nombre";
$tdatareg_pepc[".googleLikeFields"][] = "empresa";
$tdatareg_pepc[".googleLikeFields"][] = "domicilio";
$tdatareg_pepc[".googleLikeFields"][] = "municipio";
$tdatareg_pepc[".googleLikeFields"][] = "cp";
$tdatareg_pepc[".googleLikeFields"][] = "registro";
$tdatareg_pepc[".googleLikeFields"][] = "elaboro";
$tdatareg_pepc[".googleLikeFields"][] = "folio";
$tdatareg_pepc[".googleLikeFields"][] = "carpeta";
$tdatareg_pepc[".googleLikeFields"][] = "validoal";



$tdatareg_pepc[".tableType"] = "list";

$tdatareg_pepc[".printerPageOrientation"] = 0;
$tdatareg_pepc[".nPrinterPageScale"] = 100;

$tdatareg_pepc[".nPrinterSplitRecords"] = 40;

$tdatareg_pepc[".geocodingEnabled"] = false;










$tdatareg_pepc[".pageSize"] = 20;

$tdatareg_pepc[".warnLeavingPages"] = true;

$tdatareg_pepc[".hideEmptyFieldsOnView"] = true;


$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatareg_pepc[".strOrderBy"] = $tstrOrderBy;

$tdatareg_pepc[".orderindexes"] = array();


$tdatareg_pepc[".sqlHead"] = "SELECT oficio,  	fechaoficio,  	nombre,  	empresa,  	domicilio,  	municipio,  	cp,  	registro,  	elaboro,  	folio,  	carpeta,  	validoal";
$tdatareg_pepc[".sqlFrom"] = "FROM reg_pepc";
$tdatareg_pepc[".sqlWhereExpr"] = "";
$tdatareg_pepc[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatareg_pepc[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatareg_pepc[".arrGroupsPerPage"] = $arrGPP;

$tdatareg_pepc[".highlightSearchResults"] = true;

$tableKeysreg_pepc = array();
$tableKeysreg_pepc[] = "oficio";
$tdatareg_pepc[".Keys"] = $tableKeysreg_pepc;


$tdatareg_pepc[".hideMobileList"] = array();




//	oficio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "oficio";
	$fdata["GoodName"] = "oficio";
	$fdata["ownerTable"] = "reg_pepc";
	$fdata["Label"] = GetFieldLabel("reg_pepc","oficio");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "oficio";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "oficio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=20";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
			$edata["validateAs"]["basicValidate"][] = "DenyDuplicated";
	$edata["validateAs"]["customMessages"]["DenyDuplicated"] = array("message" => "Oficio %value% ya existe en el Registro", "messageType" => "Text");

	
	//	End validation

	
			
	
		$edata["denyDuplicates"] = true;

	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_pepc["oficio"] = $fdata;
		$tdatareg_pepc[".searchableFields"][] = "oficio";
//	fechaoficio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "fechaoficio";
	$fdata["GoodName"] = "fechaoficio";
	$fdata["ownerTable"] = "reg_pepc";
	$fdata["Label"] = GetFieldLabel("reg_pepc","fechaoficio");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "fechaoficio";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fechaoficio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 5;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_pepc["fechaoficio"] = $fdata;
		$tdatareg_pepc[".searchableFields"][] = "fechaoficio";
//	nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "nombre";
	$fdata["GoodName"] = "nombre";
	$fdata["ownerTable"] = "reg_pepc";
	$fdata["Label"] = GetFieldLabel("reg_pepc","nombre");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "nombre";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nombre";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=150";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_pepc["nombre"] = $fdata;
		$tdatareg_pepc[".searchableFields"][] = "nombre";
//	empresa
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "empresa";
	$fdata["GoodName"] = "empresa";
	$fdata["ownerTable"] = "reg_pepc";
	$fdata["Label"] = GetFieldLabel("reg_pepc","empresa");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "empresa";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "empresa";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=150";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_pepc["empresa"] = $fdata;
		$tdatareg_pepc[".searchableFields"][] = "empresa";
//	domicilio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "domicilio";
	$fdata["GoodName"] = "domicilio";
	$fdata["ownerTable"] = "reg_pepc";
	$fdata["Label"] = GetFieldLabel("reg_pepc","domicilio");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "domicilio";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "domicilio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_pepc["domicilio"] = $fdata;
		$tdatareg_pepc[".searchableFields"][] = "domicilio";
//	municipio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "municipio";
	$fdata["GoodName"] = "municipio";
	$fdata["ownerTable"] = "reg_pepc";
	$fdata["Label"] = GetFieldLabel("reg_pepc","municipio");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "municipio";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "municipio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "cat_municipios";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "municipio";
	$edata["LinkFieldType"] = 200;
	$edata["DisplayField"] = "municipio";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_pepc["municipio"] = $fdata;
		$tdatareg_pepc[".searchableFields"][] = "municipio";
//	cp
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "cp";
	$fdata["GoodName"] = "cp";
	$fdata["ownerTable"] = "reg_pepc";
	$fdata["Label"] = GetFieldLabel("reg_pepc","cp");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "cp";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cp";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=5";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_pepc["cp"] = $fdata;
		$tdatareg_pepc[".searchableFields"][] = "cp";
//	registro
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "registro";
	$fdata["GoodName"] = "registro";
	$fdata["ownerTable"] = "reg_pepc";
	$fdata["Label"] = GetFieldLabel("reg_pepc","registro");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "registro";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "registro";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=20";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_pepc["registro"] = $fdata;
		$tdatareg_pepc[".searchableFields"][] = "registro";
//	elaboro
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "elaboro";
	$fdata["GoodName"] = "elaboro";
	$fdata["ownerTable"] = "reg_pepc";
	$fdata["Label"] = GetFieldLabel("reg_pepc","elaboro");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "elaboro";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "elaboro";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=10";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_pepc["elaboro"] = $fdata;
		$tdatareg_pepc[".searchableFields"][] = "elaboro";
//	folio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "folio";
	$fdata["GoodName"] = "folio";
	$fdata["ownerTable"] = "reg_pepc";
	$fdata["Label"] = GetFieldLabel("reg_pepc","folio");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "folio";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "folio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=6";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_pepc["folio"] = $fdata;
		$tdatareg_pepc[".searchableFields"][] = "folio";
//	carpeta
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "carpeta";
	$fdata["GoodName"] = "carpeta";
	$fdata["ownerTable"] = "reg_pepc";
	$fdata["Label"] = GetFieldLabel("reg_pepc","carpeta");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "carpeta";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "carpeta";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=4";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_pepc["carpeta"] = $fdata;
		$tdatareg_pepc[".searchableFields"][] = "carpeta";
//	validoal
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "validoal";
	$fdata["GoodName"] = "validoal";
	$fdata["ownerTable"] = "reg_pepc";
	$fdata["Label"] = GetFieldLabel("reg_pepc","validoal");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "validoal";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "validoal";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=60";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_pepc["validoal"] = $fdata;
		$tdatareg_pepc[".searchableFields"][] = "validoal";


$tables_data["reg_pepc"]=&$tdatareg_pepc;
$field_labels["reg_pepc"] = &$fieldLabelsreg_pepc;
$fieldToolTips["reg_pepc"] = &$fieldToolTipsreg_pepc;
$placeHolders["reg_pepc"] = &$placeHoldersreg_pepc;
$page_titles["reg_pepc"] = &$pageTitlesreg_pepc;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["reg_pepc"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["reg_pepc"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_reg_pepc()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "oficio,  	fechaoficio,  	nombre,  	empresa,  	domicilio,  	municipio,  	cp,  	registro,  	elaboro,  	folio,  	carpeta,  	validoal";
$proto0["m_strFrom"] = "FROM reg_pepc";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "oficio",
	"m_strTable" => "reg_pepc",
	"m_srcTableName" => "reg_pepc"
));

$proto6["m_sql"] = "oficio";
$proto6["m_srcTableName"] = "reg_pepc";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "fechaoficio",
	"m_strTable" => "reg_pepc",
	"m_srcTableName" => "reg_pepc"
));

$proto8["m_sql"] = "fechaoficio";
$proto8["m_srcTableName"] = "reg_pepc";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "reg_pepc",
	"m_srcTableName" => "reg_pepc"
));

$proto10["m_sql"] = "nombre";
$proto10["m_srcTableName"] = "reg_pepc";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "empresa",
	"m_strTable" => "reg_pepc",
	"m_srcTableName" => "reg_pepc"
));

$proto12["m_sql"] = "empresa";
$proto12["m_srcTableName"] = "reg_pepc";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "domicilio",
	"m_strTable" => "reg_pepc",
	"m_srcTableName" => "reg_pepc"
));

$proto14["m_sql"] = "domicilio";
$proto14["m_srcTableName"] = "reg_pepc";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "municipio",
	"m_strTable" => "reg_pepc",
	"m_srcTableName" => "reg_pepc"
));

$proto16["m_sql"] = "municipio";
$proto16["m_srcTableName"] = "reg_pepc";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "cp",
	"m_strTable" => "reg_pepc",
	"m_srcTableName" => "reg_pepc"
));

$proto18["m_sql"] = "cp";
$proto18["m_srcTableName"] = "reg_pepc";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "registro",
	"m_strTable" => "reg_pepc",
	"m_srcTableName" => "reg_pepc"
));

$proto20["m_sql"] = "registro";
$proto20["m_srcTableName"] = "reg_pepc";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "elaboro",
	"m_strTable" => "reg_pepc",
	"m_srcTableName" => "reg_pepc"
));

$proto22["m_sql"] = "elaboro";
$proto22["m_srcTableName"] = "reg_pepc";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "folio",
	"m_strTable" => "reg_pepc",
	"m_srcTableName" => "reg_pepc"
));

$proto24["m_sql"] = "folio";
$proto24["m_srcTableName"] = "reg_pepc";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "carpeta",
	"m_strTable" => "reg_pepc",
	"m_srcTableName" => "reg_pepc"
));

$proto26["m_sql"] = "carpeta";
$proto26["m_srcTableName"] = "reg_pepc";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "validoal",
	"m_strTable" => "reg_pepc",
	"m_srcTableName" => "reg_pepc"
));

$proto28["m_sql"] = "validoal";
$proto28["m_srcTableName"] = "reg_pepc";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto30=array();
$proto30["m_link"] = "SQLL_MAIN";
			$proto31=array();
$proto31["m_strName"] = "reg_pepc";
$proto31["m_srcTableName"] = "reg_pepc";
$proto31["m_columns"] = array();
$proto31["m_columns"][] = "oficio";
$proto31["m_columns"][] = "fechaoficio";
$proto31["m_columns"][] = "nombre";
$proto31["m_columns"][] = "empresa";
$proto31["m_columns"][] = "domicilio";
$proto31["m_columns"][] = "municipio";
$proto31["m_columns"][] = "cp";
$proto31["m_columns"][] = "registro";
$proto31["m_columns"][] = "elaboro";
$proto31["m_columns"][] = "folio";
$proto31["m_columns"][] = "carpeta";
$proto31["m_columns"][] = "validoal";
$obj = new SQLTable($proto31);

$proto30["m_table"] = $obj;
$proto30["m_sql"] = "reg_pepc";
$proto30["m_alias"] = "";
$proto30["m_srcTableName"] = "reg_pepc";
$proto32=array();
$proto32["m_sql"] = "";
$proto32["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto32["m_column"]=$obj;
$proto32["m_contained"] = array();
$proto32["m_strCase"] = "";
$proto32["m_havingmode"] = false;
$proto32["m_inBrackets"] = false;
$proto32["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto32);

$proto30["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto30);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="reg_pepc";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_reg_pepc = createSqlQuery_reg_pepc();


	
		;

												

$tdatareg_pepc[".sqlquery"] = $queryData_reg_pepc;



include_once(getabspath("include/reg_pepc_events.php"));
$tableEvents["reg_pepc"] = new eventclass_reg_pepc;
$tdatareg_pepc[".hasEvents"] = true;

?>